package cn.iocoder.yudao.module.order.vo.orderWarehouseIn;

import cn.iocoder.yudao.module.order.vo.order.OrderWarehouseInDetailsVO;
import cn.iocoder.yudao.module.order.vo.orderLocation.OrderLocationBackVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 入仓货物统计对象 DO")
@Data
@EqualsAndHashCode
@ToString
public class OrderWarehouseInSumBackVO {



    /**
     * 入仓货物-总方数
     */
    @ApiModelProperty(value = "入仓货物-总方数")
    private BigDecimal sumVolumeFinishedWarehouseIn;

    /**
     * 入仓货物-总重量
     */
    @ApiModelProperty(value = "入仓货物-总重量")
    private BigDecimal sumWeightFinishedWarehouseIn;

    /**
     * 完成入仓的箱/件数
     */
    @ApiModelProperty(value = "入仓货物-总箱数")
    private Integer sumCartonsNumFinishedWarehouseIn;

    /**
     * 完成入仓的所有箱内总货物数量
     */
    @ApiModelProperty(value = "入仓货物-总数量")
    private Integer sumQuantityAllFinishedWarehouseIn;



}
